Package Gnumed :: Package business :: Module gmClinNarrative |
[frames] | no frames]

# Module gmClinNarrative

source code

GNUmed clinical narrative business object.

Author: Carlos Moro <cfmoro1976@yahoo.es>, Karsten Hilbert <Karsten.Hilbert@gmx.net>

License: GPL v2 or later (for details see http://gnu.org)

Classes
| cNarrative Represents one clinical free text entry.

Functions
_(x) | source code
search_text_across_emrs(search_term=None) | source code
create_clin_narrative(narrative=None, soap_cat=None, episode_id=None, encounter_id=None) Creates a new clinical narrative entry | source code
delete_clin_narrative(narrative=None) Deletes a clin.clin_narrative row by it's PK. | source code
get_narrative(since=None, until=None, encounters=None, episodes=None, issues=None, soap_cats=None, providers=None, patient=None, order_by=None) Get SOAP notes pertinent to this encounter. | source code
get_as_journal(since=None, until=None, encounters=None, episodes=None, issues=None, soap_cats=None, providers=None, order_by=None, time_range=None, patient=None) | source code

Variables
| soap_cat2l10n = ``{`None`:` `u'``…``'``,` `u'````'``:` `u'``…``'``,` `u'``a``'``:` `u'``A``'``,` `u'``o``'``:` `u'``O``'``...``
| soap_cat2l10n_str = ``{`None`:` `u'``Administrative``'``,` `u'``a``'``:` `u'``Assessme``...``
| l10n2soap_cat = ``{``u'``A``'``:` `u'``a``'``,` `u'``O``'``:` `u'``o``'``,` `u'``P``'``:` `u'``p``'``,` `u'``S``'``:` `u'``s``...``
| __package__ = ``'``Gnumed.business``'``

Imports: sys, logging, gmPG2, gmExceptions, gmBusinessDBObject, gmTools, gmDispatcher, gmHooks, gmCoding

Function Details

### create_clin_narrative(narrative=None, soap_cat=None, episode_id=None, encounter_id=None) | source code
Creates a new clinical narrative entry narrative - free text clinical narrative soap_cat - soap category episode_id - episodes's primary key encounter_id - encounter's primary key

### get_narrative(since=None, until=None, encounters=None, episodes=None, issues=None, soap_cats=None, providers=None, patient=None, order_by=None) | source code
Get SOAP notes pertinent to this encounter. since initial date for narrative items until final date for narrative items encounters list of encounters whose narrative are to be retrieved episodes list of episodes whose narrative are to be retrieved issues list of health issues whose narrative are to be retrieved soap_cats list of SOAP categories of the narrative to be retrieved

Variables Details

  ### soap_cat2l10n Value:
      {None: u'…',
       u'': u'…',
       u'a': u'A',
       u'o': u'O',
       u'p': u'P',
       u's': u'S',
       u'u': u'U'}

  ### soap_cat2l10n_str Value:
      {None: u'Administrative',
       u'a': u'Assessment',
       u'o': u'Objective',
       u'p': u'Plan',
       u's': u'Subjective',
       u'u': u'Unspecified'}

  ### l10n2soap_cat Value:
      {u'A': u'a',
       u'O': u'o',
       u'P': u'p',
       u'S': u's',
       u'U': u'u',
       u'…': None}